## org.eclipse.emf.ecoretools.tabbedproperties.sections.widgets
Class GoToReferenceComposite

    java.lang.Object
      org.eclipse.swt.widgets.Widget
          org.eclipse.swt.widgets.Control
              org.eclipse.swt.widgets.Scrollable
                  org.eclipse.swt.widgets.Composite
                      org.eclipse.emf.ecoretools.tabbedproperties.sections.widgets.CSingleObjectChooser
                          org.eclipse.emf.ecoretools.tabbedproperties.sections.widgets.GoToReferenceComposite

All Implemented Interfaces:
  org.eclipse.swt.graphics.Drawable

    public class GoToReferenceComposite

extends CSingleObjectChooser

TODO Comment this class

Field Summary

Fields inherited from class org.eclipse.swt.widgets.Composite
`embeddedHandle`

Fields inherited from class org.eclipse.swt.widgets.Widget
`handle`

Constructor Summary
`GoToReferenceComposite(org.eclipse.swt.widgets.Composite parent, int style, org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetWidgetFactory factory)` Constructor

Method Summary
`protected void` `createContents(org.eclipse.swt.widgets.Composite parent)` Creates the UI.
`protected int` `getNumberOfColumns()` Returns the number of columns in this composite.
`protected void` `handleGoTo()` This method is to be overriden in order to implement the desired behavior
`protected void` `hookListeners()` Adds the listeners on the choose button.

Methods inherited from class org.eclipse.emf.ecoretools.tabbedproperties.sections.widgets.CSingleObjectChooser
`addSelectionListener, getSelection, getWidgetFactory, removeSelectionListener, setChangeable, setChoices, setEditable, setEnabled, setLabelProvider, setSection, setSelection`

Methods inherited from class org.eclipse.swt.widgets.Composite
`changed, checkSubclass, computeSize, getBackgroundMode, getChildren, getClientArea, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList`

Methods inherited from class org.eclipse.swt.widgets.Scrollable
`computeTrim, getBorderWidth, getHorizontalBar, getVerticalBar`

Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTraverseListener, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBounds, getCursor, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getParent, getRegion, getShell, getSize, getToolTipText, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTraverseListener, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setParent, setRedraw, setRegion, setSize, setSize, setToolTipText, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, update`

Methods inherited from class org.eclipse.swt.widgets.Widget
`addDisposeListener, addListener, checkWidget, dispose, getData, getData, getDisplay, getListeners, getStyle, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, setData, setData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GoToReferenceComposite

    public GoToReferenceComposite(org.eclipse.swt.widgets.Composite parent,
                                  int style,
                                  org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetWidgetFactory factory)

  Constructor

  Parameters:
    `parent` - the parent Composite
    `factory` - the factory necessary to create the widget
    `style` -

Method Detail

### createContents

    protected void createContents(org.eclipse.swt.widgets.Composite parent)

  Description copied from class: `CSingleObjectChooser`
  Creates the UI. User must call the super method to create the main widgets (buttons) to this composite.

  Overrides:
    `createContents` in class `CSingleObjectChooser`
  Parameters:
    `parent` - this widget
  See Also:
    `CSingleObjectChooser.createContents(org.eclipse.swt.widgets.Composite)`

### getNumberOfColumns

    protected int getNumberOfColumns()

  Description copied from class: `CSingleObjectChooser`
  Returns the number of columns in this composite. The default object is 2 because the main composite have 2 widgets. Returning a number less than 2 will be ingnored.

  Overrides:
    `getNumberOfColumns` in class `CSingleObjectChooser`
  Returns:
    The number of columns to set in this composite. It must be greater or equals than 2
  See Also:
    `CSingleObjectChooser.getNumberOfColumns()`

### hookListeners

    protected void hookListeners()

  Description copied from class: `CSingleObjectChooser`
  Adds the listeners on the choose button. If user overrides this method, he must call the super method to add the corresponding selection listener, otherwise disfunctions may occur

  Overrides:
    `hookListeners` in class `CSingleObjectChooser`
  See Also:
    `CSingleObjectChooser.hookListeners()`

### handleGoTo

    protected void handleGoTo()

  This method is to be overriden in order to implement the desired behavior

Copyright 2007 Anyware Technologies. All Rights Reserved.